
Redmine - Patch #2144

Patch for main-level repository

2008-11-07 12:53 - Andrea Maleci

Status: Closed Start date: 2008-11-07

Priority: Normal Due date: 2008-11-07

Assignee: Jean-Philippe Lang % Done: 100%

Category: SCM Estimated time: 2.00 hours

Target version:    

Description

Here is a patch for High-level repository, ref to Issue #2120.

Here how it works:

If a changeset refers to an Issue that has not a linked repository, it looks for an upper lever project, to see if there is a repository. If it

has, changeset is linked to that Issue;

If a project has no repository linked and is a subproject, it looks for an upper level project. It there is there, it uses that repository so if

ypu click on revisin number linked to related Issue, it shows correctly changes made.

Hope this helps,

Andrea

Related issues:

Related to Redmine - Feature #2120: Different views between develop and funci... Closed 2008-10-31

Related to Redmine - Defect #6857: git references leaking from subproject to ... New 2010-11-09

Related to Redmine - Patch #1601: Make second level navigation for all views ... New 2008-07-08

History

#1 - 2008-11-08 14:38 - Jean-Philippe Lang

- Target version deleted (0.7.3)

Thanks for the patch.

Target removed because already released.

#2 - 2008-12-11 20:55 - Arthaey Angosii

Thanks for writing this patch! It successfully closed a subproject's issue from the commit message.

However, it would be nice if the subproject would also display the "Associated Revisions" section.

#3 - 2013-01-15 22:38 - Jan Niggemann (redmine.org team member)

- Status changed from Resolved to Closed

Closing this, status is resolved since 400 days and more (issue was last updated more than 400 days ago)...

Files

ParentRepository.0.7.3.patch 1.43 KB 2008-11-07 Andrea Maleci
